#include <iostream>
#include <cstdlib>
using namespace std;

void wypisz(int *t, int len) {
    for(int i=0; i<len; i++) {
        cout << t[i] << ", ";
    }
    cout << endl;
}

void wypelnij_losowo(int *t, int len, int limit) {
    for(int i=0; i<len; i++) {
        t[i] = rand() % limit;
    }
}

int suma(int *t, int len) {
    int suma = 0;
    for(int i=0; i<len; i++) {
        suma += t[i];
    }
    return suma;
}

// spr czy X parzysty:
// if(X%2 == 0) { }
// Napisz funkcję suma_parzystych
// która oblicza sumę tych elementów tablicy, które są parzyste
int suma_parzystych(int *t, int len) {
    int suma = 0;
    for(int i=0; i<len; i++) {
        if(t[i] % 2 == 0) {
            suma += t[i];
        }
    }
    return suma;
}

// Napisz funkcję ile_parzystych, która zwraca informację o tym,
// ile liczb w tablicy jest parzystych.
int ile_parzystych(int *t, int len) {
    int ile = 0;
    for(int i=0; i<len; i++) {
        if(t[i] % 2 == 0) {
            // ile += 1;
            ile++;
        }
    }
    return ile;
}

// Funkcja zwraca pierwszą znalezioną liczbę parzystą.
// Jeśli wszystkie liczby są nieparzyste, to wynikiem jest -1
int pierwsza_parzysta(int *t, int len) {
    for(int i=0; i<len; i++) {
        if(t[i] % 2 == 0) {
            return t[i];
        }
    }
    return -1;
}

int main() {
    srand(time(nullptr));
    int a[10], b[5];
    wypelnij_losowo(a, 10, 100);
    wypelnij_losowo(b, 5, 10);
    wypisz(a, 10);
    wypisz(b, 5);
    cout << "suma   a: " << suma(a, 10) << endl;
    cout << "suma   b: " << suma(b, 5) << endl;
    cout << "suma P a: " << suma_parzystych(a, 10) << endl;
    cout << "suma P b: " << suma_parzystych(b, 5) << endl;
    cout << "ile P a: " << ile_parzystych(a, 10) << endl;
    cout << "ile P b: " << ile_parzystych(b, 5) << endl;
    cout << "pierwsza P a: " << pierwsza_parzysta(a, 10) << endl;
    cout << "pierwsza P b: " << pierwsza_parzysta(b, 5) << endl;

    return 0;
}
